package com.srs.system.mapper;

import java.util.List;

import com.srs.system.domain.QgzxTeacher;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 教职工信息Mapper接口
 *
 * @author srs
 * @date 2025-07-14
 */
public interface QgzxTeacherMapper extends BaseMapper<QgzxTeacher> {
    /**
     * 查询教职工信息
     *
     * @param teacherId 教职工信息主键
     * @return 教职工信息
     */
    public QgzxTeacher selectQgzxTeacherByTeacherId(Long teacherId);
    public QgzxTeacher selectQgzxTeacherByEmployeeId(String employeeId);

    /**
     * 查询教职工信息列表
     *
     * @param qgzxTeacher 教职工信息
     * @return 教职工信息集合
     */
    List<QgzxTeacher> selectQgzxTeacherList(QgzxTeacher qgzxTeacher);

    /**
     * 新增教职工信息
     *
     * @param qgzxTeacher 教职工信息
     * @return 结果
     */
    int insertQgzxTeacher(QgzxTeacher qgzxTeacher);

    /**
     * 修改教职工信息
     *
     * @param qgzxTeacher 教职工信息
     * @return 结果
     */
    int updateQgzxTeacher(QgzxTeacher qgzxTeacher);
    int updateQgzxTeacherNew(QgzxTeacher qgzxTeacher);
    /**
     * 删除教职工信息
     *
     * @param teacherId 教职工信息主键
     * @return 结果
     */
    int deleteQgzxTeacherByTeacherId(Long teacherId);

    /**
     * 批量删除教职工信息
     *
     * @param teacherIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxTeacherByTeacherIds(Long[] teacherIds);

    public List<QgzxTeacher> selectTeacherList();
    Long selectDeptCode(String ksh);
    Integer insertBatchSomeColumn(@Param("list")List<QgzxTeacher> entityList);
    Integer updateBatchSomeColumn(@Param("list")List<QgzxTeacher> entityList);
}
